/* (C) Copyright 2008 Bill Buckels */

/* What Time is It - Apple Version by Bill Buckels */
/* initialization module                           */

#include <stdio.h>
#include <fcntl.h>
#include <prodos.h>
#include <sgtty.h>
#include <device.h>
#include <sysfunc.h>

#define TEXTMODE  0
#define GRAFMODE  2  /* graphics only
                        (not mixed text and graphics) */

ovmain(screenmode)
unsigned screenmode;
{
       switch(screenmode)
       {
       case GRAFMODE :
                         scr_clear();
                         setcrtmode(GRAFMODE);
                         fontlode();
                         break;
       default:
                        setcrtmode(TEXTMODE);
                        _exit();
       }
       return 0;
}
